﻿Type=Class
Version=1
B4J=true
@EndOfDesignText@
' Class module
' This file is part of a B4J project
'                                                                              
' Copyright (c) 2013 Robert W.B. Linn, Pinneberg, Germany                      
'                                                                              
' This Is free software: you can redistribute it AND/OR modify it under        
' the terms of the GNU General Public License As published by the Free Software
' Foundation, either version 3 of the License, OR (at your option) any later   
' version. This application Is distributed WITHOUT ANY WARRANTY; without even  
' the implied warranty of MERCHANTABILITY OR FITNESS For A PARTICULAR PURPOSE. 
' See the GNU General Public License For more details.                         
' You should have received a copy of the GNU General Public License along with 
' this application. If Not, www.gnu.org/licenses/.                             
'                                                                              
' Author: Robert W.B. Linn, Pinneberg, Germany                                 
' Internet, E-Mail: www.rwblinn.de , robert@rwblinn.de                         
' Read readme.txt For latest information                                       
'                                                         
' Example how to call from another form idc the mainform. Note that AboutForm is listed as a class
'	Dim af As MessageForm
'	Dim rt As Int		' Returncode from the form
'	af.Initialize(MainForm, "Title", "The Message")
'	rt = af.Show		' Show the form and capture return value
'
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Dim textareaMessage As TextArea
	Dim buttonOK As Button
End Sub

' Initializes the form using parameter
' Parent: The form which calls this module (MainForm, see Module Main)
' aboutText: The text to display in the labelAbout
Public Sub Initialize (Parent As Form, title As String, info As String)
	' Init the form. Form size is set to best size
	frm.Initialize("frm", -1, -1)
	' Give the form a title and make it a utility form (toolbox type of form)
	frm.title = title
	frm.SetFormStyle("UTILITY")
	' Load the layout - simple form with only one multiline label with wordwrap set
	frm.RootPane.LoadLayout("MessageForm")
	' Set the abouttext which is being passed as parameter
	textareaMessage.Text = info
End Sub

' Show the form. A result can be set. In this case using an integer (my year of birth = just to test)
Public Sub Show As Int
	frm.ShowAndWait	
	Return 1958
End Sub

' Close the form
Sub frm_CloseRequest (EventData As Event)
	' Log("Form closed via close request")
End Sub

' Close
Sub buttonOK_Action
	frm.Close
End Sub